Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1149)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1151)
@@ -112,6 +112,6 @@
                            !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
-   ln_rnf      = .false.   !  runoffs (T => fill namsbc_rnf)
-   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
+   ln_rnf      = .true.    !  runoffs (T => fill namsbc_rnf)
+   ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
                            !                     =1 annual global mean of e-p-r set to zero   ,
@@ -146,9 +146,9 @@
 !              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
 !              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
-   sn_utau     =    'taux_1m'       ,       -1.         , 'sozotaux' ,    .false.     , .true.  ,   'yearly'    
-   sn_vtau     =    'tauy_1m'       ,       -1.         , 'sometauy' ,    .false.     , .true.  ,   'yearly'    
-   sn_wndm     =    'flx'           ,       -1.         , 'socliowi' ,    .false.     , .true.  ,   'yearly'      
-   sn_tair     =    'flx'           ,       -1.         , 'socliot2' ,    .false.     , .true.  ,   'yearly'     
-   sn_humi     =    'flx'           ,       -1.         , 'socliohu' ,    .false.     , .true.  ,   'yearly'    
+   sn_utau     =    'taux_1m'       ,       -1.         , 'sozotaux' ,    .true.      , .true.  ,   'yearly'    
+   sn_vtau     =    'tauy_1m'       ,       -1.         , 'sometauy' ,    .true.      , .true.  ,   'yearly'    
+   sn_wndm     =    'flx'           ,       -1.         , 'socliowi' ,    .true.      , .true.  ,   'yearly'      
+   sn_tair     =    'flx'           ,       -1.         , 'socliot2' ,    .true.      , .true.  ,   'yearly'     
+   sn_humi     =    'flx'           ,       -1.         , 'socliohu' ,    .true.      , .true.  ,   'yearly'    
    sn_ccov     =    'flx'           ,       -1.         , 'socliocl' ,    .false.     , .true.  ,   'yearly'      
    sn_prec     =    'flx'           ,       -1.         , 'socliopl' ,    .false.     , .true.  ,   'yearly'       
@@ -206,9 +206,9 @@
 !              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
    sn_sst      =    'sst_data'     ,        24.        ,  'sst'     ,     .false.    , .false. ,   'yearly'
-   sn_sss      =    'sss_data'     ,        -1.        ,  'sss'     ,     .true.     , .false. ,   'yearly'
+   sn_sss      =    'sss_data'     ,        -1.        ,  'sss'     ,     .true.     , .true.  ,   'yearly'
 !   
    cn_dir      = './'      !  root directory for the location of the runoff files
    nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
-   nn_sssr     =     0     !  add a damping     term in the surface freshwater flux (=1) or not (=0)
+   nn_sssr     =     1     !  add a damping     term in the surface freshwater flux (=1) or not (=0)
    dqdt        =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
    deds        =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
@@ -250,19 +250,21 @@
 &namobc        !   open boundaries parameters                           ("key_obc")
 !-----------------------------------------------------------------------
-    nobc_dta   =    0      !  = 0 the obc data are equal to the initial state
+    nobc_dta   =    1      !  = 0 the obc data are equal to the initial state
                            !  = 1 the obc data are read in 'obc.dta' files
+    cffile     = 'annual'  !  set to annual if obc datafile hold 1 year of data
+                           !  set to monthly if obc datafile hold 1 month of data
     rdpein     =    1.     !  ???
     rdpwin     =    1.     !  ???
-    rdpnin     =   30.     !  ???
+    rdpnin     =    1.     !  ???
     rdpsin     =    1.     !  ???
-    rdpeob     = 1500.     !  time relaxation (days) for the east  open boundary
+    rdpeob     = 3000.     !  time relaxation (days) for the east  open boundary
     rdpwob     =   15.     !    "        "             "     west         "
-    rdpnob     =  150.     !    "        "             "     north        "
+    rdpnob     = 3000.     !    "        "             "     north        "
     rdpsob     =   15.     !    "        "             "     south        "
     zbsic1     =  140.e+6  !   barotropic stream function on first  isolated coastline
     zbsic2     =    1.e+6  !    "                   "        second       "
     zbsic3     =    0.     !    "                   "        thrid        "
-    ln_obc_clim= .true.    !  climatological obc data files (T) or not (F)
-    ln_vol_cst = .false.   !  impose the total volume conservation (T) or not (F)
+    ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
+    ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
 /
 !-----------------------------------------------------------------------