Index: trunk/NEMO/OPA_SRC/DYN/divcur.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/divcur.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/divcur.F90	(revision 1152)
@@ -28,5 +28,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/divcur.F90,v 1.7 2006/05/10 16:53:51 opalod Exp $ 
+   !! $Id$ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynadv.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 1152)
@@ -35,5 +35,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynadv_cen2.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 1152)
@@ -32,5 +32,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LODYC-IPSL  (2006)
-   !! $Header$
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynadv_ubs.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 1152)
@@ -37,5 +37,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LODYC-IPSL  (2006)
-   !! $Header$
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 1152)
@@ -59,5 +59,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynkeg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynkeg.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynkeg.F90	(revision 1152)
@@ -28,5 +28,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynldf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 1152)
@@ -39,5 +39,5 @@
    !!---------------------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynldf.F90,v 1.4 2007/06/05 11:02:08 opalod Exp $
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_bilap.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_bilap.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_bilap.F90	(revision 1152)
@@ -30,5 +30,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 1152)
@@ -35,5 +35,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_lap.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_lap.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_lap.F90	(revision 1152)
@@ -31,5 +31,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynnxt.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynnxt.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynnxt.F90	(revision 1152)
@@ -87,5 +87,5 @@
       !!----------------------------------------------------------------------
       !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-      !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynnxt.F90,v 1.13 2007/05/25 15:51:50 opalod Exp $ 
+      !! $Id$ 
       !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
       !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynspg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 1152)
@@ -38,5 +38,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_oce.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_oce.F90	(revision 1152)
@@ -12,5 +12,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90	(revision 1152)
@@ -55,5 +55,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynspg_rl.F90,v 1.11 2007/06/05 10:38:27 opalod Exp $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 1152)
@@ -53,5 +53,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 1151)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 1152)
@@ -41,5 +41,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynzdf.F90,v 1.3 2007/06/05 11:00:28 opalod Exp $
+   !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------