Index: /trunk/NVTK/INSTALL/JOBS/assessment.ksh
===================================================================
--- /trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1156)
+++ /trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1157)
@@ -81,5 +81,6 @@
 #    - zoutfile : output file name to print results
 #    - zwork    : kind of prints to perform
-#    - zreprint : (optional) to avoid printing twice a message
+#    - zreprint : print a message once (yes/no)
+#    - ziter    : (optional) print time steps number (yes/no)
 ###########################################################
 ################ Begin checkfile function #################
@@ -94,9 +95,11 @@
 # Print a message only once
 zreprint=$4
+# Print iterations number
+ziter=$5
 
 #set -x 
 
-test -n "${zreprint}"
-zrep=$?
+test -n "${ziter}"
+zrepiter=$?
 
 
@@ -112,12 +115,33 @@
 if [ -a ${zf2check} ] ; then
     fmes1=" List ${genf} files and check date creation:   "
-    fmes2=" `ls -l ${zf2check}`           "
+    fmes2=" `ls -o ${zf2check}`           "
     fmes3=" - file ${zf2check} is empty  "
-    [ ${zrep} == 0 ] && echo "${blnk}${fmes1}"  >> ${zoutfile}
+    fmes4="       Num. time steps:   done  /  expected "
+    if [ ${zreprint} = 'yes' ] ; then 
+        if [ ${zrepiter} == 0 ] ; then 
+            echo "${blnk}${fmes1}" "${fmes4}" >> ${zoutfile}
+        else
+            echo "${blnk}${fmes1}"          >> ${zoutfile}
+        fi
+    fi
 
    # Check file is not empty
    if [ -s ${zf2check} ] ; then
-       [ ${zoutfile} ] && echo "${blnk}${fmes2}" >> ${zoutfile}
-       xist=0 ; return ${xist}
+       if [ ${zrepiter} == 0 ] ; then
+           # Check run's iterations number from solver.stat
+           basedir="`dirname ${zf2check}`"
+           echo "`tail -1 ${zf2check}`" > temp1
+           echo "`grep nitend ${basedir}/namelist`" > temp2
+           typeset -Z4 ziter_run
+           typeset -Z4 ziter_ask
+           ziter_run="`awk '{print $3}' temp1`"
+           ziter_ask="`awk '{print $3}' temp2`"
+           \rm temp1 temp2
+           [ ${zoutfile} ] && echo "${blnk}${fmes2}" "   ${ziter_run}  /   ${ziter_ask}" >> ${zoutfile}
+           xist=0 ; return ${xist}
+       else
+           [ ${zoutfile} ] && echo "${blnk}${fmes2}" >> ${zoutfile}
+           xist=0 ; return ${xist}
+       fi
    else
        [ ${zoutfile} ] &&  echo "${blnk}${fmes3}" >> ${zoutfile}
@@ -348,7 +372,7 @@
 #--------
 checkfile ${filecs} 'endjob.txt' DIFF yes ; xfilecs=$?
-checkfile ${filers} 'endjob.txt' DIFF     ; xfilers=$?
-checkfile ${filecm} 'endjob.txt' DIFF     ; xfilecm=$?
-checkfile ${filerm} 'endjob.txt' DIFF     ; xfilerm=$?
+checkfile ${filers} 'endjob.txt' DIFF no  ; xfilers=$?
+checkfile ${filecm} 'endjob.txt' DIFF no  ; xfilecm=$?
+checkfile ${filerm} 'endjob.txt' DIFF no  ; xfilerm=$?
 
 # If current version files exist
@@ -396,5 +420,5 @@
         # Check that timing file for the ${runt} reference version exist
         filerv="${runt}/GTIME/REF/${runt}${CONF}_err" 
-        checkfile ${filerv} 'endjob.txt' NORM ; xfilerv=$?
+        checkfile ${filerv} 'endjob.txt' NORM no ; xfilerv=$?
         echo "                                                             " >> endjob.txt
 
@@ -432,6 +456,6 @@
         xfilemon=0
 
-        checkfile ${filemon} 'endjob.txt' NORM yes ; xfilemon=$?
-        checkfile ${filexxx} 'endjob.txt' NORM ; xfilemon=$?
+        checkfile ${filemon} 'endjob.txt' NORM yes yes ; xfilemon=$?
+        checkfile ${filexxx} 'endjob.txt' NORM no  yes ; xfilemon=$?
         
         mak_diff_file -x ${xfilemon} -a ${filemon} -b ${filexxx} -r ${runt} -s LONG -k repro
@@ -447,5 +471,5 @@
 
             checkfile ${filemon} 'endjob.txt' NORM yes ; xfilemon=$?
-            checkfile ${filexxx} 'endjob.txt' NORM ; xfilemon=$?
+            checkfile ${filexxx} 'endjob.txt' NORM no  ; xfilemon=$?
             
             # check that tracer.stat files have been built based on ocean.output ones
@@ -456,5 +480,5 @@
 
             checkfile ${filemon} 'endjob.txt' NORM yes ; xfilemon=$?
-            checkfile ${filexxx} 'endjob.txt' NORM ; xfilemon=$?
+            checkfile ${filexxx} 'endjob.txt' NORM no  ; xfilemon=$?
             
             mak_diff_file -x ${xfilemon} -a ${filemon} -b ${filexxx} -r ${runt} -s LONG -k repro
@@ -483,6 +507,6 @@
     xfile1=0
     #-------
-    checkfile ${file1} 'endjob.txt' NORM yes ; xfile1=$?
-    checkfile ${file2} 'endjob.txt' NORM ; xfile1=$?
+    checkfile ${file1} 'endjob.txt' NORM yes yes ; xfile1=$?
+    checkfile ${file2} 'endjob.txt' NORM no  yes ; xfile1=$?
     #
     cat ${file1} ${file2}  > short_solver_${runt}.stat
@@ -502,5 +526,5 @@
 
         checkfile ${file1} 'endjob.txt' NORM yes ; xfile1=$?
-        checkfile ${file2} 'endjob.txt' NORM     ; xfile1=$?
+        checkfile ${file2} 'endjob.txt' NORM no  ; xfile1=$?
             
         # check that tracer.stat files have been built based on ocean.output ones
@@ -511,5 +535,5 @@
 
         checkfile ${file1} 'endjob.txt' NORM yes ; xfile1=$?
-        checkfile ${file2} 'endjob.txt' NORM     ; xfile1=$?
+        checkfile ${file2} 'endjob.txt' NORM no  ; xfile1=$?
         #
         mak_diff_file -x ${xfile1} -a ${file2} -b ${file1} -r ${runt} -k resta
@@ -554,5 +578,5 @@
         # solver.stat STREAM 1
         checkfile ${file1}  'endjob.txt' NORM yes ; xfilev1=$?
-        checkfile ${filev1} 'endjob.txt' NORM ; xfilev1=$?
+        checkfile ${filev1} 'endjob.txt' NORM no  ; xfilev1=$?
     
         mak_diff_file -x ${xfilev1} -a ${file1} -b ${filev1} -r ${runt} -s STREAM_1 -t ${REF_TAG}
@@ -561,5 +585,5 @@
         # ocean.output STREAM 1
         checkfile ${file_oc1}  'endjob.txt' NORM yes ; xfile_oc1=$?
-        checkfile ${file_roc1} 'endjob.txt' NORM ; xfile_oc1=$?
+        checkfile ${file_roc1} 'endjob.txt' NORM no  ; xfile_oc1=$?
     
         mak_diff_file -x ${xfile_oc1} -a ${file_oc1} -b ${file_roc1} -r ${runt} -s STREAM_1 -t ${REF_TAG}
@@ -572,5 +596,5 @@
         # solver.stat STREAM 2
         checkfile ${file2}  'endjob.txt' NORM yes ; xfilev2=$?
-        checkfile ${filev2} 'endjob.txt' NORM ; xfilev2=$?
+        checkfile ${filev2} 'endjob.txt' NORM no  ; xfilev2=$?
     
         mak_diff_file -x ${xfilev2} -a ${file2} -b ${filev2} -r ${runt} -s STREAM_2 -t ${REF_TAG}
@@ -579,5 +603,5 @@
         # ocean.output STREAM 2
         checkfile ${file_oc2}  'endjob.txt' NORM yes ; xfile_oc2=$?
-        checkfile ${file_roc2} 'endjob.txt' NORM ; xfile_oc2=$?
+        checkfile ${file_roc2} 'endjob.txt' NORM no  ; xfile_oc2=$?
     
         mak_diff_file -x ${xfile_oc2} -a ${file_oc2} -b ${file_roc2} -r ${runt} -s STREAM_2 -t ${REF_TAG}