Index: trunk/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90	(revision 1161)
+++ trunk/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90	(revision 1162)
@@ -7,5 +7,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
-   !! $Id$ 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -21,7 +21,7 @@
 
    USE par_cfc    , ONLY : jp_cfc          !: number of tracers in CFC
-   USE par_cfc    , ONLY : jp_cfc_2d       !: number of 2D diag in CFC
-   USE par_cfc    , ONLY : jp_cfc_3d       !: number of 3D diag in CFC
-   USE par_cfc    , ONLY : jp_cfc_trd      !: number of biological diag in CFC
+   USE par_cfc    , ONLY : jp_cfc_2d       !: number of tracers in CFC
+   USE par_cfc    , ONLY : jp_cfc_3d       !: number of tracers in CFC
+   USE par_cfc    , ONLY : jp_cfc_trd      !: number of tracers in CFC
 
    IMPLICIT NONE
@@ -33,18 +33,17 @@
    INTEGER, PUBLIC, PARAMETER ::   jp_lpc_trd  = jp_lobster_trd + jp_pisces_trd + jp_cfc_trd !:
 
-#if defined key_trc_my_trc
+#if defined key_my_trc
    !!---------------------------------------------------------------------
-   !!   'key_trc_my_trc'                     user defined tracers (MY_TRC)
+   !!   'key_my_trc'                     user defined tracers (MY_TRC)
    !!---------------------------------------------------------------------
    LOGICAL, PUBLIC, PARAMETER ::   lk_my_trc     = .TRUE.   !: PTS flag 
-   INTEGER, PUBLIC, PARAMETER ::   jp_my_trc     =  3       !: number of PTS tracers
-   INTEGER, PUBLIC, PARAMETER ::   jp_my_trc_2d  =  1       !: additional 2d output arrays ('key_trc_diaadd')
-   INTEGER, PUBLIC, PARAMETER ::   jp_my_trc_3d  =  1       !: additional 3d output arrays ('key_trc_diaadd')
+   INTEGER, PUBLIC, PARAMETER ::   jp_my_trc     =  2       !: number of PTS tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_my_trc_2d  =  0       !: additional 2d output arrays ('key_trc_diaadd')
+   INTEGER, PUBLIC, PARAMETER ::   jp_my_trc_3d  =  0       !: additional 3d output arrays ('key_trc_diaadd')
    INTEGER, PUBLIC, PARAMETER ::   jp_my_trc_trd =  0       !: number of sms trends for MY_TRC
 
    ! assign an index in trc arrays for each PTS prognostic variables
    INTEGER, PUBLIC, PARAMETER ::   jpmyt1 = jp_lpc + 1     !: 1st MY_TRC tracer
-   INTEGER, PUBLIC, PARAMETER ::   jpmyt2 = jp_lpc + 1     !: 2nd MY_TRC tracer
-   INTEGER, PUBLIC, PARAMETER ::   jpmyt3 = jp_lpc + 1     !: 3rd MY_TRC tracer
+   INTEGER, PUBLIC, PARAMETER ::   jpmyt2 = jp_lpc + 2     !: 2nd MY_TRC tracer
 
 #else
@@ -62,10 +61,10 @@
    INTEGER, PUBLIC, PARAMETER ::   jp_myt0     = jp_lpc     + 1              !: First index of MY_TRC passive tracers
    INTEGER, PUBLIC, PARAMETER ::   jp_myt1     = jp_lpc     + jp_my_trc      !: Last  index of MY_TRC passive tracers
-   INTEGER, PUBLIC, PARAMETER ::   jp_myt0_2d  = jp_lpc_2d  + 1              !: First index of MY_TRC 2D diag
-   INTEGER, PUBLIC, PARAMETER ::   jp_myt1_2d  = jp_lpc_2d  + jp_my_trc_2d   !: Last  index of MY_TRC 2D diag
-   INTEGER, PUBLIC, PARAMETER ::   jp_myt0_3d  = jp_lpc_3d  + 1              !: First index of MY_TRC 3D diag
-   INTEGER, PUBLIC, PARAMETER ::   jp_myt1_3d  = jp_lpc_3d  + jp_my_trc_3d   !: Last  index of MY_TRC 3D diag
-   INTEGER, PUBLIC, PARAMETER ::   jp_myt0_trd = jp_lpc_trd + 1              !: First index of MY_TRC bio diag
-   INTEGER, PUBLIC, PARAMETER ::   jp_myt1_trd = jp_lpc_trd + jp_my_trc_trd  !: Last  index of MY_TRC bio diag
+   INTEGER, PUBLIC, PARAMETER ::   jp_myt0_2d  = jp_lpc_2d  + 1              !: First index of MY_TRC passive tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_myt1_2d  = jp_lpc_2d  + jp_my_trc_2d   !: Last  index of MY_TRC passive tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_myt0_3d  = jp_lpc_3d  + 1              !: First index of MY_TRC passive tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_myt1_3d  = jp_lpc_3d  + jp_my_trc_3d   !: Last  index of MY_TRC passive tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_myt0_trd = jp_lpc_trd + 1              !: First index of MY_TRC passive tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_myt1_trd = jp_lpc_trd + jp_my_trc_trd  !: Last  index of MY_TRC passive tracers
 
    !!======================================================================
Index: trunk/NEMO/TOP_SRC/MY_TRC/trcctl_my_trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/MY_TRC/trcctl_my_trc.F90	(revision 1161)
+++ trunk/NEMO/TOP_SRC/MY_TRC/trcctl_my_trc.F90	(revision 1162)
@@ -35,6 +35,14 @@
       !!----------------------------------------------------------------------
 
+      INTEGER :: jn
+
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) ' use PISCES biological model '
+      IF(lwp) WRITE(numout,*) ' use COLOR tracer '
+
+      DO jn = jp_myt0, jp_myt1
+         WRITE(ctrcnm(jn),'(a,i2.2)') 'CLR',jn
+         ctrcnl(jn)='Color concentration'
+         ctrcun(jn)='N/A'
+      END DO
 
 
Index: trunk/NEMO/TOP_SRC/MY_TRC/trcini_my_trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/MY_TRC/trcini_my_trc.F90	(revision 1161)
+++ trunk/NEMO/TOP_SRC/MY_TRC/trcini_my_trc.F90	(revision 1162)
@@ -13,4 +13,5 @@
    !!----------------------------------------------------------------------
    USE par_trc         ! TOP parameters
+   USE oce_trc
    USE trc
 
Index: trunk/NEMO/TOP_SRC/MY_TRC/trclsm_my_trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/MY_TRC/trclsm_my_trc.F90	(revision 1161)
+++ trunk/NEMO/TOP_SRC/MY_TRC/trclsm_my_trc.F90	(revision 1162)
@@ -15,5 +15,4 @@
    USE par_trc         ! TOP parameters
    USE trc             ! TOP variables
-   USE sms             ! sms trends
 
    IMPLICIT NONE
Index: trunk/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 1161)
+++ trunk/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 1162)
@@ -13,4 +13,6 @@
    !!----------------------------------------------------------------------
    USE par_trc         ! TOP parameters
+   USE oce_trc
+   USE trc
 
    IMPLICIT NONE
@@ -40,4 +42,17 @@
       IF(lwp) WRITE(numout,*) ' trc_sms_my_trc:  MY_TRC model'
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+
+      WHERE( (glamt <= 170) .AND. (glamt >= 160) .AND. (gphit <= -74) .AND. (gphit >=-75.6) )
+        trn(:,:,1,jpmyt1) = 1.
+        trb(:,:,1,jpmyt1) = 1.
+        tra(:,:,1,jpmyt1) = 0.
+      END WHERE
+
+      WHERE( ((glamt <= -165) .OR. (glamt >= 160)) .AND. (gphit <= -76) .AND. (gphit >=-80)) 
+        trn(:,:,1,jpmyt2) = 1.
+        trb(:,:,1,jpmyt2) = 1.
+        tra(:,:,1,jpmyt2) = 0.
+      END WHERE
+
       !
    END SUBROUTINE trc_sms_my_trc