Index: /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 1189)
+++ /trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 1190)
@@ -175,5 +175,4 @@
      key_trcdmp \
      key_trcldf_eiv \
-     key_trc_ldfiso \
      key_trcldf_iso \
      key_trc_zdfddm \
@@ -9476,5 +9475,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
@@ -9522,5 +9520,4 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
@@ -9770,5 +9767,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
@@ -9840,5 +9836,4 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
@@ -12177,4 +12172,5 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -12184,4 +12180,5 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -12268,4 +12265,5 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -12274,4 +12272,5 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -12822,7 +12821,9 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	trc.F90 \
+	trdmld_trc_oce.F90 \
 	trp_trc.F90 \
 	domzgr_substitute.h90 \
@@ -14761,4 +14762,5 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(sedmodel.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trabbl.o) \
@@ -14787,4 +14789,5 @@
 	sbc_oce.F90 \
 	sbcrnf.F90 \
+	sedmodel.F90 \
 	sms_pisces.F90 \
 	trabbl.F90 \
@@ -14994,4 +14997,7 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(sedini.o) \
+	$(MODEL_LIB)(sed.o) \
+	$(MODEL_LIB)(sedstp.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trabbl.o) \
@@ -15020,4 +15026,7 @@
 	sbc_oce.F90 \
 	sbcrnf.F90 \
+	sed.F90 \
+	sedini.F90 \
+	sedstp.F90 \
 	sms_pisces.F90 \
 	trabbl.F90 \
@@ -15038,4 +15047,5 @@
 	$(MODEL_LIB)(p4zlys.o) \
 	$(MODEL_LIB)(p4zsed.o) \
+	$(MODEL_LIB)(sedmodel.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
@@ -15047,4 +15057,5 @@
 	p4zlys.F90 \
 	p4zsed.F90 \
+	sedmodel.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
@@ -15172,5 +15183,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
@@ -15182,5 +15192,4 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
 	KEY_CPP \
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1189)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1190)
@@ -175,5 +175,4 @@
      key_trcdmp \
      key_trcldf_eiv \
-     key_trc_ldfiso \
      key_trcldf_iso \
      key_trc_zdfddm \
@@ -9476,5 +9475,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
@@ -9522,5 +9520,4 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
@@ -9770,5 +9767,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
@@ -9840,5 +9836,4 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
@@ -12177,4 +12172,5 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -12184,4 +12180,5 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -12268,4 +12265,5 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -12274,4 +12272,5 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -12822,7 +12821,9 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	trc.F90 \
+	trdmld_trc_oce.F90 \
 	trp_trc.F90 \
 	domzgr_substitute.h90 \
@@ -15182,5 +15183,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
@@ -15192,5 +15192,4 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
 	KEY_CPP \
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1189)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1190)
@@ -140,5 +140,4 @@
      key_trcdmp \
      key_trcldf_eiv \
-     key_trc_ldfiso \
      key_trcldf_iso \
      key_trc_zdfddm \
@@ -2993,5 +2992,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
@@ -3018,5 +3016,4 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
 	zdfddm.F90 \
@@ -3449,4 +3446,5 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -3456,4 +3454,5 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -3540,4 +3539,5 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
+	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -3546,4 +3546,5 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
+	trp_trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -4094,7 +4095,9 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
 	trc.F90 \
+	trdmld_trc_oce.F90 \
 	trp_trc.F90 \
 	domzgr_substitute.h90 \
@@ -6435,5 +6438,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
@@ -6445,5 +6447,4 @@
 	trdmld_trc.F90 \
 	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
 	KEY_CPP \