Index: /trunk/NEMO/TOP_SRC/TRP/trcadv_cen2.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcadv_cen2.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcadv_cen2.F90	(revision 1193)
@@ -284,5 +284,4 @@
          ! 3. Save the horizontal advective trends for diagnostics
          ! -------------------------------------------------------
-!CDIR BEGIN COLLAPSE
          TRDTRC_XY : IF( l_trdtrc )THEN
 
@@ -342,5 +341,4 @@
 
          ENDIF TRDTRC_XY
-!CDIR END
          !                                                    ! ===========
       END DO                                                  ! tracer loop
@@ -415,5 +413,4 @@
          ! ----------------------------------------------------
 
-!CDIR BEGIN COLLAPSE
          TRDTRC_Z : IF( l_trdtrc )THEN
             ztrtrd(:,:,:) = 0.e0
@@ -435,5 +432,4 @@
 
          ENDIF TRDTRC_Z
-!CDIR END
          !                                                    ! ===========
       END DO                                                  ! tracer loop
Index: /trunk/NEMO/TOP_SRC/TRP/trcadv_muscl.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcadv_muscl.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcadv_muscl.F90	(revision 1193)
@@ -238,5 +238,4 @@
          ! 3. Save the horizontal advective trends for diagnostics
          ! -------------------------------------------------------
-!CDIR BEGIN COLLAPSE
          TRDTRC_XY : IF( l_trdtrc ) THEN
 
@@ -282,5 +281,4 @@
 
          ENDIF TRDTRC_XY
-!CDIR END
 
       ENDDO
@@ -375,5 +373,4 @@
          ! 3. Save the vertical advective trends for diagnostic
          ! ----------------------------------------------------
-!CDIR BEGIN COLLAPSE
          TRDTRC_Z : IF( l_trdtrc )THEN
 
@@ -394,5 +391,4 @@
 
          END IF TRDTRC_Z
-!CDIR END
       END DO
 
Index: /trunk/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90	(revision 1193)
@@ -293,5 +293,4 @@
          TRDTRC_XY : IF( l_trdtrc ) THEN
 
-!CDIRR COLLAPSE
             ! 3.1) Passive tracer ZONAL advection trends
             DO jk = 1, jpkm1
Index: /trunk/NEMO/TOP_SRC/TRP/trcadv_smolar.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcadv_smolar.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcadv_smolar.F90	(revision 1193)
@@ -117,5 +117,4 @@
          
          !--1.1 Horizontal advection
-!CDIRR COLLAPSE
          IF( l_trdtrc ) ztrtrd(:,:,:,:) = 0.e0             ! trends
 
@@ -127,5 +126,4 @@
             zz  (:,:,jk) = 0.e0
             
-!CDIRR COLLAPSE
             IF( l_trdtrc ) ztrtrd(:,:,:,:) = 0.e0             ! trends
 
Index: /trunk/NEMO/TOP_SRC/TRP/trcadv_tvd.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcadv_tvd.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcadv_tvd.F90	(revision 1193)
@@ -190,5 +190,4 @@
          ! -------------------------------------------------------------------
 
-!CDIR BEGIN COLLAPSE
          IF( l_trdtrc ) THEN
 
@@ -252,5 +251,4 @@
 
          ENDIF
-!CDIR END
 
          ! 4. Update and guess with monotonic sheme
@@ -369,5 +367,4 @@
          ! terms in the computations below ???
 
-!CDIR BEGIN COLLAPSE
          IF( l_trdtrc ) THEN
             
@@ -412,5 +409,4 @@
             
          ENDIF
-!CDIR END
 
 
Index: /trunk/NEMO/TOP_SRC/TRP/trcbbc.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcbbc.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcbbc.F90	(revision 1193)
@@ -103,5 +103,4 @@
          DO jn = 1, jptra                                        ! tracer loop
             !                                                    ! ===========
-!CDIR COLLAPSE
             IF( l_trdtrc )  ztrtrd(:,:,:) = tra(:,:,:,jn)  ! save trends
 
@@ -120,5 +119,4 @@
             
             IF( l_trdtrc ) THEN
-!CDIR COLLAPSE
                ztrtrd(:,:,:) = tra(:,:,:,jn) - ztrtrd(:,:,:)
                IF (luttrd(jn)) CALL trd_mod_trc(ztrtrd, jn, jptrc_trd_bbc, kt)
Index: /trunk/NEMO/TOP_SRC/TRP/trcldf_iso.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcldf_iso.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcldf_iso.F90	(revision 1193)
@@ -119,5 +119,4 @@
          !                                                       ! ===========
 
-!CDIR COLLAPSE
          IF( l_trdtrc ) ztrtrd(:,:,:) = tra(:,:,:,jn)
 
@@ -239,5 +238,4 @@
                END DO
                
-!CDIRR COLLAPSE
                DO jj = 2 , jpjm1
                   DO ji = fs_2, fs_jpim1   ! vector opt.
Index: /trunk/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90	(revision 1193)
@@ -126,5 +126,4 @@
       DO jn = 1, jptra                                           ! tracer loop
          !                                                       ! ===========
-!CDIR COLLAPSE
          IF( l_trdtrc ) ztrtrd(:,:,:) = tra(:,:,:,jn)   ! save trends
 
@@ -253,5 +252,4 @@
          ! 4. Save the horizontal diffusive and advective (eiv) trends for diagnostics
          ! ---------------------------------------------------------------------------
-!CDIR BEGIN COLLAPSE
          IF( l_trdtrc ) THEN
 
Index: /trunk/NEMO/TOP_SRC/TRP/trcrad.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 1193)
@@ -125,12 +125,11 @@
          DO jn = jp_sms0, jp_sms1
          !                                                        ! ===========
-         ztrcorb = 0.e0   ;   ztrmasb = 0.e0
-         ztrcorn = 0.e0   ;   ztrmasn = 0.e0
-
-!CDIR COLLAPSE
-         IF( l_trdtrc ) THEN
-            ztrtrdb(:,:,:) = ptrb(:,:,:,jn)                        ! save input trb for trend computation
-            ztrtrdn(:,:,:) = ptrn(:,:,:,jn)                        ! save input trn for trend computation
-         ENDIF
+            ztrcorb = 0.e0   ;   ztrmasb = 0.e0
+            ztrcorn = 0.e0   ;   ztrmasn = 0.e0
+
+           IF( l_trdtrc ) THEN
+              ztrtrdb(:,:,:) = ptrb(:,:,:,jn)                        ! save input trb for trend computation
+              ztrtrdn(:,:,:) = ptrn(:,:,:,jn)                        ! save input trn for trend computation
+           ENDIF
 
 
Index: /trunk/NEMO/TOP_SRC/TRP/trcsbc.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 1193)
@@ -84,5 +84,4 @@
       DO jn = 1, jptra
          ! 1. Concentration dillution effect on tra
-!CDIR COLLAPSE
          IF( l_trdtrc ) ztrtrd(:,:,:) = tra(:,:,:,jn)  ! save trends
 
@@ -99,5 +98,4 @@
          
          IF( l_trdtrc ) THEN
-!CDIR COLLAPSE
             ztrtrd(:,:,:) = tra(:,:,:,jn) - ztrtrd(:,:,:)
             IF (luttrd(jn)) CALL trd_mod_trc(ztrtrd, jn, jptrc_trd_sbc, kt)
Index: /trunk/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90	(revision 1192)
+++ /trunk/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90	(revision 1193)
@@ -79,5 +79,4 @@
       IF( l_trdtrc ) THEN
          ALLOCATE( ztrcavg(jpi,jpj,jpk,jptra) )
-!CDIR COLLAPSE
          ztrcavg(:,:,:,:) = 0.e0          ! initialisation step
       ENDIF
@@ -187,5 +186,4 @@
          !                                                       ! ===========
          
-!CDIR COLLAPSE
          IF( l_trdtrc ) ztrtrd(:,:,:) = tra(:,:,:,jn)          ! save trends
          
@@ -345,5 +343,4 @@
             !   of the rotated tensor (from trc_zdf_iso).
             IF( ln_trcldf_iso ) THEN
-!CDIR COLLAPSE
                DO jk = 1, jpkm1
                   ztrtrd(:,:,jk) = ( (tra(:,:,jk,jn) - trb(:,:,jk,jn))/rdttrc(jk) ) - ztrtrd(:,:,jk)  &
@@ -351,5 +348,4 @@
                END DO
             ELSE
-!CDIR COLLAPSE
                DO jk = 1, jpkm1
                   ztrtrd(:,:,jk) = ( (tra(:,:,jk,jn) - trb(:,:,jk,jn))/rdttrc(jk) ) - ztrtrd(:,:,jk)
@@ -449,5 +445,4 @@
          ztfw(1,:,:) = 0.e0    ;     ztfw(jpi,:,:) = 0.e0
 
-!CDIRR COLLAPSE
          IF( l_trdtrc ) ztrtrd(:,:,:) = tra(:,:,:,jn)          ! save trends
 
@@ -589,5 +584,4 @@
 
             ! II.1) Compute the eiv VERTICAL trend
-!CDIRR COLLAPSE
             DO jk = 1, jpkm1
                DO jj = 2, jpjm1