Index: /trunk/NEMO/TOP_SRC/TRP/trcbbc.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcbbc.F90	(revision 1196)
+++ /trunk/NEMO/TOP_SRC/TRP/trcbbc.F90	(revision 1197)
@@ -75,5 +75,5 @@
       INTEGER, INTENT( in ) ::   kt                         ! ocean time-step index
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop 
       INTEGER ::   ji, jn                                   ! dummy loop indices
 #else
@@ -106,5 +106,5 @@
 
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
             DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
                tra(ji,1,nbotlevt(ji,1),jn) = tra(ji,1,nbotlevt(ji,1),jn) + qgh_trd(ji,1)
@@ -220,5 +220,5 @@
       CASE ( 1:2 )                !  geothermal heat flux
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
          DO ji = 1, jpij   ! vector opt. (forced unrolling)
             qgh_trd(ji,1) = ro0cpr * qgh_trd(ji,1) / fse3t(ji,1,nbotlevt(ji,1) )
Index: /trunk/NEMO/TOP_SRC/TRP/trcbbl.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 1196)
+++ /trunk/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 1197)
@@ -146,5 +146,5 @@
       ! mbathy= number of w-level, minimum value=1 (cf dommsk.F)
 
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -157,5 +157,5 @@
             zsnb(ji,jj) = sn(ji,jj,ik) * tmask(ji,jj,1)
             zdep(ji,jj) = fsdept(ji,jj,ik)                ! depth of the ocean bottom T-level
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
@@ -164,5 +164,5 @@
       IF( ln_zps ) THEN      ! partial steps correction
 
-#   if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#   if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -179,10 +179,10 @@
                zahu(ji,jj) = atrcbbl * e2u(ji,jj) * ze3u / e1u(ji,jj) * umask(ji,jj,1)
                zahv(ji,jj) = atrcbbl * e1v(ji,jj) * ze3v / e2v(ji,jj) * vmask(ji,jj,1)
-#   if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#   if ! defined key_vectopt_loop
             END DO
 #   endif
          END DO
       ELSE                  ! z-coordinate - full steps or s-coordinate
-#   if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#   if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -195,5 +195,5 @@
                zahu(ji,jj) = atrcbbl * e2u(ji,jj) * fse3u(ji,jj,iku) / e1u(ji,jj) * umask(ji,jj,1)
                zahv(ji,jj) = atrcbbl * e1v(ji,jj) * fse3v(ji,jj,ikv) / e2v(ji,jj) * vmask(ji,jj,1)
-#   if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#   if ! defined key_vectopt_loop
             END DO
 #   endif
@@ -220,5 +220,5 @@
      
          ! first derivative (gradient)         
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -229,10 +229,10 @@
                ik = mbkt(ji,jj) 
                ztrb(ji,jj) = trb(ji,jj,ik,jn) * tmask(ji,jj,1)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-            END DO
-#  endif
-         END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if ! defined key_vectopt_loop
+            END DO
+#  endif
+         END DO
+
+#  if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -243,5 +243,5 @@
                zkx(ji,jj) = bblx(ji,jj) * zahu(ji,jj) * ( ztrb(ji+1,jj) - ztrb(ji,jj) )
                zky(ji,jj) = bbly(ji,jj) * zahv(ji,jj) * ( ztrb(ji,jj+1) - ztrb(ji,jj) )
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
             END DO
 #  endif
@@ -261,5 +261,5 @@
       CASE ( 0 )                 ! Jackett and McDougall (1994) formulation
          
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -280,10 +280,10 @@
             zsign = SIGN( 0.5, - zgdrho * ( zdep(ji+1,jj) - zdep(ji,jj) ) )
             zki(ji,jj) = ( 0.5 - zsign ) * zahu(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
-      END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if ! defined key_vectopt_loop
+         END DO
+#  endif
+      END DO
+
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -304,5 +304,5 @@
             zsign = SIGN( 0.5, -zgdrho * ( zdep(ji,jj+1) - zdep(ji,jj) ) )
             zkj(ji,jj) = ( 0.5 - zsign ) * zahv(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
@@ -311,5 +311,5 @@
       CASE ( 1 )                 ! Linear formulation function of temperature only
 
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -323,10 +323,10 @@
             zsign = SIGN( 0.5, - zgdrho * ( zdep(ji+1,jj) - zdep(ji,jj) ) )
             zki(ji,jj) = ( 0.5 - zsign ) * zahu(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
-      END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if ! defined key_vectopt_loop
+         END DO
+#  endif
+      END DO
+
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -341,5 +341,5 @@
             zkj(ji,jj) = ( 0.5 - zsign ) * zahv(ji,jj)
 
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
@@ -385,5 +385,5 @@
 
          ! first derivative (gradient)
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -394,9 +394,9 @@
                ik = mbkt(ji,jj)
                ztrb(ji,jj) = trb(ji,jj,ik,jn) * tmask(ji,jj,1)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-            END DO
-#  endif
-         END DO
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if ! defined key_vectopt_loop
+            END DO
+#  endif
+         END DO
+#  if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -407,5 +407,5 @@
                zkx(ji,jj) = zki(ji,jj) * ( ztrb(ji+1,jj) - ztrb(ji,jj) )
                zky(ji,jj) = zkj(ji,jj) * ( ztrb(ji,jj+1) - ztrb(ji,jj) )
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
             END DO
 #  endif
@@ -449,5 +449,5 @@
          
          ! second derivative (divergence) and add to the general tracer trend
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
          jj = 1
          DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -461,5 +461,5 @@
                   &    + zky(ji,jj) - zky(ji  ,jj-1)  ) * zbtr
                tra(ji,jj,ik,jn) = tra(ji,jj,ik,jn) + ztra
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
             END DO
 #  endif
Index: /trunk/NEMO/TOP_SRC/TRP/trcbbl_adv.h90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trcbbl_adv.h90	(revision 1196)
+++ /trunk/NEMO/TOP_SRC/TRP/trcbbl_adv.h90	(revision 1197)
@@ -110,5 +110,5 @@
       ! mbathy= number of w-level, minimum value=1 (cf dommsk.F)
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -124,5 +124,5 @@
             zunb(ji,jj) = un(ji,jj,mbku(ji,jj)) 
             zvnb(ji,jj) = vn(ji,jj,mbkv(ji,jj)) 
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
          END DO
 #endif
@@ -260,5 +260,5 @@
       ! partial steps correction   
       
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
        jj = 1
        DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -280,5 +280,5 @@
                 v_trc_bbl(ji,jj,ikv) = zalphay(ji,jj) * vn(ji,jj,ikv) * ze3v / fse3v(ji,jj,ikv)       
              ENDIF
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
           END DO
 #endif
@@ -291,5 +291,5 @@
        ! if not partial step loop over the whole domain no lbc call
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -304,5 +304,5 @@
                v_trc_bbl(ji,jj,ikv) = zalphay(ji,jj) * vn(ji,jj,ikv)       
             ENDIF
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
          END DO
 #endif
@@ -313,5 +313,5 @@
        DO jn = 1, jptra
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
           jj = 1
           DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -322,5 +322,5 @@
                 ik = mbkt(ji,jj)                               ! index of the bottom ocean T-level
                 ztrb(ji,jj) = trb(ji,jj,ik,jn) * tmask(ji,jj,1)    ! masked now T at the ocean bottom 
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
              END DO
 #endif
@@ -333,5 +333,5 @@
           ! ... Second order centered tracer flux at u and v-points
        
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
           jj = 1
           DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -349,10 +349,10 @@
                 zwy(ji,jj) = ( ( zfvj + ABS( zfvj ) ) * ztrb(ji  ,jj  )   &
                    &          +( zfvj - ABS( zfvj ) ) * ztrb(ji  ,jj+1) ) * 0.5
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
              END DO
 #endif
           END DO
 	  
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
           jj = 1
           DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -369,5 +369,5 @@
                 ! add it to the general tracer trends
                 tra(ji,jj,ik,jn) = tra(ji,jj,ik,jn) + ztra
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
              END DO
 #endif
@@ -409,5 +409,5 @@
        IF( ln_zps ) THEN 
 	  
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
           jj = 1
           DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -427,5 +427,5 @@
                 zwu(ji,jj) = zalphax(ji,jj) * e2u(ji,jj) * ze3u  
                 zwv(ji,jj) = zalphay(ji,jj) * e1v(ji,jj) * ze3v
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
              END DO
 #endif
@@ -434,5 +434,5 @@
        ELSE
 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
           jj = 1
           DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -445,5 +445,5 @@
                 zwu(ji,jj) = zalphax(ji,jj) * e2u(ji,jj) * fse3u(ji,jj,iku) 
                 zwv(ji,jj) = zalphay(ji,jj) * e1v(ji,jj) * fse3v(ji,jj,ikv) 
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop 
              END DO
 #endif
@@ -451,5 +451,5 @@
        ENDIF
 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
        jj = 1
        DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -467,5 +467,5 @@
                 &   ) / zbt
 
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
           END DO
 # endif
Index: /trunk/NEMO/TOP_SRC/TRP/zpshde_trc.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/zpshde_trc.F90	(revision 1196)
+++ /trunk/NEMO/TOP_SRC/TRP/zpshde_trc.F90	(revision 1197)
@@ -125,5 +125,5 @@
       DO jn = 1, jptra
          ! Interpolation of passive tracers at the last ocean level
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolled)
@@ -170,5 +170,5 @@
                   pgtrv(ji,jj,jn) = vmask(ji,jj,1) * ( ptra(ji,jj+1,ikv,jn) - ztraj(ji,jj,jn) )
                ENDIF
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
             END DO
 # endif